#ifndef GPIB_H
#define GPIB_H

void gp_init(void);
void gp_set_delim(char,char);
void gp_set_input(void);
void gp_set_output(void);
void gp_set_ren(char);
void gp_set_ifc(void);
void gp_wbyte(unsigned char,char);
unsigned char gp_rbyte(unsigned char*);
void gp_set_listener(char);
void gp_set_talker(char);
void gp_sendline(char,char*,int);
void gp_readline(char,char*,int);
void gp_line_status(unsigned char*, unsigned char*);
void gp_unlisten(void);
void gp_multiline(char,char);
char gp_srq(void);
unsigned char gp_spoll(char);

#endif
